/**
 *
 * Created by Android.CuoJuo
 * on 2019/11/20
 *
 */

function addChart0(id) {
    var ele=document.getElementById(id);
    if (ele){
        var ctx =ele.getContext('2d');
        var chart = new Chart(ctx, {
            // The type of chart we want to create
            type: 'line',

            // The data for our dataset
            data: {
                labels: ['11.14', '11.15', '11.16', '11.17', '11.18', '11.19', '11.20'],
                datasets: [{
                    label: '十六番价格曲线',
                    backgroundColor: 'rgb(255, 99, 132)',
                    borderColor: 'rgb(255, 99, 132)',
                    data: [100, 150, 88,256, 20, 60, 540]
                }]
            },

            // Configuration options go here
            options: {}
        });
    }
}

function addChart1(id,arrayLabel,arrayData,yMax,yMin,yStep,graphPaddingTop,graphPaddingRight) {
    var ele=document.getElementById(id);
    if (ele){
        var ctx =ele.getContext('2d');
        // ele.width=400;
        ele.maxHeight=200;
        var chart = new Chart(ctx, {
            // The type of chart we want to create
            type: 'line',
            // The data for our dataset
            data: {
                labels: arrayLabel,
                datasets: [{
                    label: '十六番价格曲线',
                    display:false,
                    data: arrayData,
                    backgroundColor: '#f0f9fc',
                    borderColor: '#27a0c9',
                    borderWidth: 1,
                    borderCapStyle:"round",
                    pointBorderColor:'#27a0c9',
                    pointBorderWidth:0.1,
                    pointRadius:0.5,
                    pointBackgroundColor:'#27a0c9',
                    // strokeColor:'#27a0c9',
                    spanGaps:false,
                    showLine:true,
                    // lineTension:1,
                    // clip:"100"/*负数不显示，顶部line*/,
                    // order:"500",
                    // steppedLine:true,
                    // cubicInterpolationMode:'default',
                }]
            },
            // Configuration options go here
            options: {
                title:{
                    display:false,
                    text:'价格',
                    titleAlign:'left',
                    bodyAlign:'left',
                    position:'left',
                    fontSize:10,
                    fontColor:"#383838",
                    fontStyle:"normal",
                    padding:15,
                    lineHeight:1.0,
                },
                layout:{
                    padding: {
                        left: 0,
                        right: graphPaddingRight,
                        top: graphPaddingTop,
                        bottom: 0
                    }},
                // tooltips:{
                //     enabled:true,
                //     bodyAlign:'left',
                //     titleAlign:'left',
                //     x:0,
                //     y:0
                // },
                legend:false,//数据项
                showLines:true,
                spanGaps:false,
                scales:{
                    // pointLabels:1,
                    // weight:0,
                    xAxes:[{
                        dispaly:true,
                        // stacked:true,
                        // offset:1,
                        scaleLabel:{display:false,labelString:'时间'}/*x轴名称*/,
                        gridLines: {
                            display: false,
                            // zeroLineColor: "#ff0000",
                            // zeroLineWidth: 30,
                            // offsetGridLines:true,
                            // drawTicks: true,
                            // drawOnChartArea: false
                            // tickMarkLength:8,
                        },
                        ticks:{
                            display:true,
                            fontSize:11,
                            fontColor:"#383838",
                            lineHeight:0.0,
                            labelOffset:0,
                            padding:-13/*与x的上间距*/,
                            reverse:false/*true:大到小*/,
                            maxRotation: 1/*0.00001,倾斜*/,
                            // showLabelBackdrop:true
                        }
                    }],
                    yAxes:[{
                        display:true,
                        // stacked:true,
                        offset:1,
                        scaleLabel:{display:false,labelString:'价格',fontColor:"#383838",fontSize:7,padding:0}/*y轴名称*/,
                        // scaleLabel:function(label){return  ' $' + label.value.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");},
                        gridLines: {
                            display:false,
                            // borderDash: [5, 5],
                            // // color:'#00000000'
                            lineWidth: 1,
                            // zeroLineWidth: 2,
                            // zeroLineColor: "black"
                            // offsetGridLines:false,
                        },
                        ticks:{
                            // type:'value',
                            // data:['10','247','494','990'],
                            // data:[20,30.70,990],
                            // interval:100
                            display:true,
                            fontSize:11,
                            // defaultFontSize:13,
                            fontColor:"#383838",
                            lineHeight:3.0,
                            labelOffset:0,
                            padding:-5,
                            stepSize: yStep,//Y轴间隔
                            max: yMax,//Y轴最大值
                            min: yMin,
                            // beginAtZero: true,
                            // maxTicksLimit:4,
                            callback: function(value, index, values) {
                                return '￥'+value;
                            }
                        }
                    }]
                },
                // scaleLineColor:"#ff0000",
                // scaleGridLineColor:"ff0000",
                // elements: {
                //     rectangle: {
                //         borderSkipped: 'left'
                //     }
                // },
                responsive: true,
                maintainAspectRatio: true
            }
        });
    }
}

function addchart2(id) {
    var ele=document.getElementById(id);
    if (ele){
        var chart = new CanvasJS.Chart(id, {
            animationEnabled: true,
            title:{
                text: ""
            },
            axisY: {
                title: "",
                valueFormatString: "#0,,.",
                suffix: "",
                prefix: "￥"
            },
            data: [{
                type: "splineArea",
                // color: "rgba(54,158,173,.7)",
                color: "#f0fbff",
                markerSize: 5,
                xValueFormatString: "String",
                yValueFormatString: "$#,##0.##",
                dataPoints: [
                    { x:"11/20", y: 328 },
                    { x:"11/20", y: 383 },
                    { x:"11/20", y: 200 },
                    { x:"11/20", y: 284 },
                    { x:"11/20", y: 239 },
                    { x: "11/20", y: 161},
                    { x: "11/20", y: 282 },
                    { x: "11/20", y: 200},
                    { x: "11/20", y: 139 },
                    { x:"11/20", y: 250 },
                    { x: "11/20", y: 279 },
                    { x: "11/20", y: 338},
                    { x:"11/20", y: 670},
                ],
                lineColor:"red"
            }]
        });
        chart.render();
    }
}

function addChart4(id,arrayLabel,arrayData,arrayDataError,yMax,yMin,yStep) {
    var ele=document.getElementById(id);
    if (ele){
        var ctx =ele.getContext('2d');
        // ele.width=400;
        ele.maxHeight=200;
        gradientFill=ctx.createLinearGradient(500,0,100,0);
        gradientFill.addColorStop(0, "rgba(128, 182, 244, 0.6)");
        gradientFill.addColorStop(1, "rgba(244, 144, 128, 0.6)");

        var mDatasets=new Array();
        var dataset1={
            label: '十六番价格曲线',
            display:false,
            data: arrayData,
            backgroundColor: '#f0f9fc',
            borderColor: '#27a0c9',
            borderWidth: 1,
            borderCapStyle:"butte",
            pointBorderColor:'#27a0c9',
            pointBorderWidth:0.1,
            pointRadius:0.5,
            pointBackgroundColor:'#27a0c9',
            // strokeColor:'#27a0c9',
            spanGaps:false,
            showLine:true,
        };
        var dataset2={
            label: '十六番价格曲线',
            display:false,
            data: arrayDataError,
            // backgroundColor: '#9090f0',
            backgroundColor: '#ffffff',
            borderColor: '#27a0c9',
            borderDash:[1,4],
            borderWidth: 1,
            borderCapStyle:"butte",
            pointBorderColor:'#27a0c9',
            pointBorderWidth:0.1,
            pointRadius:0.5,
            pointBackgroundColor:'#27a0c9',
            // strokeColor:'#27a0c9',
            spanGaps:false,
            showLine:true,
        };
        mDatasets.push(dataset2);
        mDatasets.push(dataset1);
        var mData={
            labels:arrayLabel,
            datasets:mDatasets
        };
        var chart = new Chart(ctx, {
            // The type of chart we want to create
            type: 'line',
            // The data for our dataset
            data:mData,
            // Configuration options go here
            options: {
                title:{
                    display:false,
                    text:'价格',
                    titleAlign:'left',
                    bodyAlign:'left',
                    position:'left',
                    fontSize:10,
                    fontColor:"#383838",
                    fontStyle:"normal",
                    padding:15,
                    lineHeight:1.0,
                },
                layout:{
                    padding: {
                        left: 0,
                        right: 15,
                        top: 50,
                        bottom: 0
                    }},
                // tooltips:{
                //     enabled:true,
                //     bodyAlign:'left',
                //     titleAlign:'left',
                //     x:0,
                //     y:0
                // },
                legend:false,//数据项
                showLines:true,
                spanGaps:false,
                scales:{
                    // pointLabels:1,
                    // weight:0,
                    xAxes:[{
                        dispaly:true,
                        // stacked:true,
                        // offset:1,
                        scaleLabel:{display:false,labelString:'时间'}/*x轴名称*/,
                        gridLines: {
                            display: false,
                            // zeroLineColor: "#ff0000",
                            // zeroLineWidth: 30,
                            // offsetGridLines:true,
                            // drawTicks: true,
                            // drawOnChartArea: false
                            // tickMarkLength:8,
                        },
                        ticks:{
                            display:true,
                            fontSize:11,
                            fontColor:"#383838",
                            lineHeight:0.0,
                            labelOffset:0,
                            padding:-13/*与x的上间距*/,
                            reverse:false/*true:大到小*/,
                            maxRotation: 1/*0.00001,倾斜*/,
                            // showLabelBackdrop:true
                        }
                    }],
                    yAxes:[{
                        display:true,
                        // stacked:true,
                        offset:1,
                        scaleLabel:{display:false,labelString:'价格',fontColor:"#383838",fontSize:7,padding:0}/*y轴名称*/,
                        // scaleLabel:function(label){return  ' $' + label.value.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");},
                        gridLines: {
                            display:false,
                            // borderDash: [5, 5],
                            // // color:'#00000000'
                            lineWidth: 1,
                            // zeroLineWidth: 2,
                            // zeroLineColor: "black"
                            // offsetGridLines:false,
                        },
                        ticks:{
                            // type:'value',
                            // data:['10','247','494','990'],
                            // data:[20,30.70,990],
                            // interval:100
                            display:true,
                            fontSize:11,
                            // defaultFontSize:13,
                            fontColor:"#383838",
                            lineHeight:3.0,
                            labelOffset:0,
                            padding:-5,
                            stepSize: yStep,//Y轴间隔
                            max: yMax,//Y轴最大值
                            min: yMin,
                            // beginAtZero: true,
                            // maxTicksLimit:4,
                            callback: function(value, index, values) {
                                return '￥'+value;
                            }
                        }
                    }]
                },
                // scaleLineColor:"#ff0000",
                // scaleGridLineColor:"ff0000",
                // elements: {
                //     rectangle: {
                //         borderSkipped: 'left'
                //     }
                // },
                responsive: true,
                maintainAspectRatio: true
            }
        });
    }
}